Subject: bug#58596: 29.0.50; [PATCH] Fix memory leak when loading Tree-sitter language definitions

From: Daniel Martín <[email-masked]>
Date: Fri, 28 Oct 2022 21:49:27 +0200

close 58596
thanks

Yuan Fu <[email-masked]> writes:

>
> Sorry! I just see this.  I believe I fixed the memory leak in trunk.
> The purpose for treesit_symbol_to_c_name is to transform not dashes in
> tree-sitter, but dashes in languages names, eg, c-sharp.  So we do need
> that.  Thank you so much on working on this though!
>
> If you don’t mind, please have a look at the revised code and see if it
> fixes the memory leak.
>

I can confirm that I can't reproduce the memory leak with the latest
version of the code.

I'm closing this bug report.  Thanks.